summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-06 19:56:46 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-07 08:59:46 +0200
commit8e64bd8dadd21e2f4d9780faf564f10ce65043fe (patch)
tree0335a0582f6bb96bd8e6df7c0c47613e81beb8b9
parent56f3f1d1b21085cbaa1191c111c1a99b80c84505 (diff)
downloadcurrent-8e64bd8dadd21e2f4d9780faf564f10ce65043fe.tar.gz
current-8e64bd8dadd21e2f4d9780faf564f10ce65043fe.tar.xz
Tue Aug 6 19:56:46 UTC 201920190806195646
a/mcelog-164-x86_64-1.txz: Upgraded. a/os-prober-1.77-x86_64-3.txz: Rebuilt. Fix cleanup() function. Thanks to USUARIONUEVO. l/ffmpeg-4.2-x86_64-1.txz: Upgraded. n/iw-5.3-x86_64-1.txz: Upgraded. extra/pure-alsa-system/ffmpeg-4.2-x86_64-1_alsa.txz: Upgraded. testing/packages/NetworkManager-1.20.0-x86_64-1.txz: Upgraded. This finally drops libnm-glib. I'm curious to hear how this will affect various NM plugins before merging it into the main tree. Please test and report any problems.
-rw-r--r--ChangeLog.rss24
-rw-r--r--ChangeLog.txt12
-rw-r--r--FILELIST.TXT139
-rwxr-xr-xrecompress.sh1
-rwxr-xr-xsource/a/os-prober/os-prober.SlackBuild2
-rw-r--r--source/a/os-prober/os-prober.lvm2.diff25
-rw-r--r--testing/source/NetworkManager/55NetworkManager39
-rwxr-xr-xtesting/source/NetworkManager/NetworkManager.SlackBuild201
-rw-r--r--testing/source/NetworkManager/NetworkManager.conf7
-rw-r--r--testing/source/NetworkManager/conf.d/00-dhcp-client.conf8
-rw-r--r--testing/source/NetworkManager/conf.d/00-rc-manager.conf2
-rw-r--r--testing/source/NetworkManager/doinst.sh42
-rw-r--r--testing/source/NetworkManager/rc.networkmanager113
-rw-r--r--testing/source/NetworkManager/slack-desc19
14 files changed, 562 insertions, 72 deletions
diff --git a/ChangeLog.rss b/ChangeLog.rss
index 7fda0ead..39d81d0b 100644
--- a/ChangeLog.rss
+++ b/ChangeLog.rss
@@ -11,10 +11,30 @@
<description>Tracking Slackware development in git.</description>
<language>en-us</language>
<id xmlns="http://www.w3.org/2005/Atom">urn:uuid:c964f45e-6732-11e8-bbe5-107b4450212f</id>
- <pubDate>Mon, 5 Aug 2019 19:53:38 GMT</pubDate>
- <lastBuildDate>Tue, 6 Aug 2019 06:59:37 GMT</lastBuildDate>
+ <pubDate>Tue, 6 Aug 2019 19:56:46 GMT</pubDate>
+ <lastBuildDate>Wed, 7 Aug 2019 06:59:41 GMT</lastBuildDate>
<generator>maintain_current_git.sh v 1.11</generator>
<item>
+ <title>Tue, 6 Aug 2019 19:56:46 GMT</title>
+ <pubDate>Tue, 6 Aug 2019 19:56:46 GMT</pubDate>
+ <link>https://git.slackware.nl/current/tag/?h=20190806195646</link>
+ <guid isPermaLink="false">20190806195646</guid>
+ <description>
+ <![CDATA[<pre>
+a/mcelog-164-x86_64-1.txz: Upgraded.
+a/os-prober-1.77-x86_64-3.txz: Rebuilt.
+ Fix cleanup() function. Thanks to USUARIONUEVO.
+l/ffmpeg-4.2-x86_64-1.txz: Upgraded.
+n/iw-5.3-x86_64-1.txz: Upgraded.
+extra/pure-alsa-system/ffmpeg-4.2-x86_64-1_alsa.txz: Upgraded.
+testing/packages/NetworkManager-1.20.0-x86_64-1.txz: Upgraded.
+ This finally drops libnm-glib. I'm curious to hear how this will affect
+ various NM plugins before merging it into the main tree. Please test and
+ report any problems.
+ </pre>]]>
+ </description>
+ </item>
+ <item>
<title>Mon, 5 Aug 2019 19:53:38 GMT</title>
<pubDate>Mon, 5 Aug 2019 19:53:38 GMT</pubDate>
<link>https://git.slackware.nl/current/tag/?h=20190805195338</link>
diff --git a/ChangeLog.txt b/ChangeLog.txt
index cca70b86..6c7eff57 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -1,3 +1,15 @@
+Tue Aug 6 19:56:46 UTC 2019
+a/mcelog-164-x86_64-1.txz: Upgraded.
+a/os-prober-1.77-x86_64-3.txz: Rebuilt.
+ Fix cleanup() function. Thanks to USUARIONUEVO.
+l/ffmpeg-4.2-x86_64-1.txz: Upgraded.
+n/iw-5.3-x86_64-1.txz: Upgraded.
+extra/pure-alsa-system/ffmpeg-4.2-x86_64-1_alsa.txz: Upgraded.
+testing/packages/NetworkManager-1.20.0-x86_64-1.txz: Upgraded.
+ This finally drops libnm-glib. I'm curious to hear how this will affect
+ various NM plugins before merging it into the main tree. Please test and
+ report any problems.
++--------------------------+
Mon Aug 5 19:53:38 UTC 2019
a/hwdata-0.326-noarch-1.txz: Upgraded.
ap/flac-1.3.3-x86_64-1.txz: Upgraded.
diff --git a/FILELIST.TXT b/FILELIST.TXT
index 8c43e7cb..914e071c 100644
--- a/FILELIST.TXT
+++ b/FILELIST.TXT
@@ -1,20 +1,20 @@
-Mon Aug 5 20:04:08 UTC 2019
+Tue Aug 6 20:09:06 UTC 2019
Here is the file list for this directory. If you are using a
mirror site and find missing or extra files in the disk
subdirectories, please have the archive administrator refresh
the mirror.
-drwxr-xr-x 12 root root 4096 2019-08-05 19:53 .
+drwxr-xr-x 12 root root 4096 2019-08-06 19:56 .
-rw-r--r-- 1 root root 10064 2016-06-30 18:39 ./ANNOUNCE.14_2
-rw-r--r-- 1 root root 14341 2018-11-29 05:40 ./CHANGES_AND_HINTS.TXT
--rw-r--r-- 1 root root 922221 2019-08-05 07:45 ./CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-08-05 07:45 ./CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 922338 2019-08-05 20:04 ./CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-05 20:04 ./CHECKSUMS.md5.asc
-rw-r--r-- 1 root root 17976 1994-06-10 02:28 ./COPYING
-rw-r--r-- 1 root root 35147 2007-06-30 04:21 ./COPYING3
-rw-r--r-- 1 root root 19573 2016-06-23 20:08 ./COPYRIGHT.TXT
-rw-r--r-- 1 root root 616 2006-10-02 04:37 ./CRYPTO_NOTICE.TXT
--rw-r--r-- 1 root root 671985 2019-08-05 19:53 ./ChangeLog.txt
+-rw-r--r-- 1 root root 672544 2019-08-06 19:56 ./ChangeLog.txt
drwxr-xr-x 3 root root 4096 2013-03-20 22:17 ./EFI
drwxr-xr-x 2 root root 4096 2019-08-05 07:32 ./EFI/BOOT
-rw-r--r-- 1 root root 1417216 2019-07-05 18:54 ./EFI/BOOT/bootx64.efi
@@ -25,9 +25,9 @@ drwxr-xr-x 2 root root 4096 2019-08-05 07:32 ./EFI/BOOT
-rwxr-xr-x 1 root root 2504 2019-07-05 18:54 ./EFI/BOOT/make-grub.sh
-rw-r--r-- 1 root root 10722 2013-09-21 19:02 ./EFI/BOOT/osdetect.cfg
-rw-r--r-- 1 root root 1273 2013-08-12 21:08 ./EFI/BOOT/tools.cfg
--rw-r--r-- 1 root root 1212217 2019-08-05 07:44 ./FILELIST.TXT
+-rw-r--r-- 1 root root 1212369 2019-08-05 20:04 ./FILELIST.TXT
-rw-r--r-- 1 root root 1572 2012-08-29 18:27 ./GPG-KEY
--rw-r--r-- 1 root root 733432 2019-08-05 20:02 ./PACKAGES.TXT
+-rw-r--r-- 1 root root 733428 2019-08-06 20:07 ./PACKAGES.TXT
-rw-r--r-- 1 root root 8564 2016-06-28 21:33 ./README.TXT
-rw-r--r-- 1 root root 3635 2019-08-05 06:57 ./README.initrd
-rw-r--r-- 1 root root 34412 2017-12-01 17:44 ./README_CRYPT.TXT
@@ -39,12 +39,12 @@ drwxr-xr-x 2 root root 4096 2019-08-05 07:32 ./EFI/BOOT
-rw-r--r-- 1 root root 17294 2008-12-08 18:13 ./SPEAK_INSTALL.TXT
-rw-r--r-- 1 root root 57632 2016-06-29 18:46 ./Slackware-HOWTO
-rw-r--r-- 1 root root 6668 2018-08-28 21:58 ./UPGRADE.TXT
-drwxr-xr-x 17 root root 4096 2019-08-01 00:27 ./extra
--rw-r--r-- 1 root root 53949 2019-08-01 00:27 ./extra/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-08-01 00:27 ./extra/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 66372 2019-08-01 00:26 ./extra/FILE_LIST
--rw-r--r-- 1 root root 177335 2019-08-01 00:27 ./extra/MANIFEST.bz2
--rw-r--r-- 1 root root 45657 2019-08-01 00:27 ./extra/PACKAGES.TXT
+drwxr-xr-x 17 root root 4096 2019-08-06 20:04 ./extra
+-rw-r--r-- 1 root root 53943 2019-08-06 20:04 ./extra/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-06 20:04 ./extra/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 66366 2019-08-06 20:03 ./extra/FILE_LIST
+-rw-r--r-- 1 root root 178284 2019-08-06 20:03 ./extra/MANIFEST.bz2
+-rw-r--r-- 1 root root 45655 2019-08-06 20:04 ./extra/PACKAGES.TXT
-rw-r--r-- 1 root root 149 2002-02-09 00:18 ./extra/README.TXT
drwxr-xr-x 2 root root 20480 2018-11-09 21:53 ./extra/aspell-word-lists
-rw-r--r-- 1 root root 171 2016-06-06 20:10 ./extra/aspell-word-lists/aspell-af-0.50_0-x86_64-5.txt
@@ -350,7 +350,7 @@ drwxr-xr-x 2 root root 4096 2018-02-27 06:13 ./extra/google-chrome
-rwxr-xr-x 1 root root 3921 2015-03-05 21:54 ./extra/google-chrome/google-chrome.SlackBuild
-rw-r--r-- 1 root root 840 2018-02-27 06:13 ./extra/google-chrome/slack-desc
lrwxrwxrwx 1 root root 11 2012-07-30 20:41 ./extra/java -> source/java
-drwxr-xr-x 2 root root 4096 2019-07-18 20:58 ./extra/pure-alsa-system
+drwxr-xr-x 2 root root 4096 2019-08-06 20:03 ./extra/pure-alsa-system
-rw-r--r-- 1 root root 625 2019-07-17 19:22 ./extra/pure-alsa-system/MPlayer-20190717-x86_64-1_alsa.txt
-rw-r--r-- 1 root root 2726088 2019-07-17 19:22 ./extra/pure-alsa-system/MPlayer-20190717-x86_64-1_alsa.txz
-rw-r--r-- 1 root root 163 2019-07-17 19:22 ./extra/pure-alsa-system/MPlayer-20190717-x86_64-1_alsa.txz.asc
@@ -364,9 +364,9 @@ drwxr-xr-x 2 root root 4096 2019-07-18 20:58 ./extra/pure-alsa-system
-rw-r--r-- 1 root root 403 2019-07-17 19:34 ./extra/pure-alsa-system/audacious-plugins-3.10.1-x86_64-3_alsa.txt
-rw-r--r-- 1 root root 1245636 2019-07-17 19:34 ./extra/pure-alsa-system/audacious-plugins-3.10.1-x86_64-3_alsa.txz
-rw-r--r-- 1 root root 163 2019-07-17 19:34 ./extra/pure-alsa-system/audacious-plugins-3.10.1-x86_64-3_alsa.txz.asc
--rw-r--r-- 1 root root 490 2019-07-17 19:17 ./extra/pure-alsa-system/ffmpeg-4.1.4-x86_64-1_alsa.txt
--rw-r--r-- 1 root root 8858432 2019-07-17 19:17 ./extra/pure-alsa-system/ffmpeg-4.1.4-x86_64-1_alsa.txz
--rw-r--r-- 1 root root 163 2019-07-17 19:17 ./extra/pure-alsa-system/ffmpeg-4.1.4-x86_64-1_alsa.txz.asc
+-rw-r--r-- 1 root root 490 2019-08-06 19:06 ./extra/pure-alsa-system/ffmpeg-4.2-x86_64-1_alsa.txt
+-rw-r--r-- 1 root root 9105328 2019-08-06 19:06 ./extra/pure-alsa-system/ffmpeg-4.2-x86_64-1_alsa.txz
+-rw-r--r-- 1 root root 163 2019-08-06 19:06 ./extra/pure-alsa-system/ffmpeg-4.2-x86_64-1_alsa.txz.asc
-rw-r--r-- 1 root root 475 2019-04-03 22:13 ./extra/pure-alsa-system/fluidsynth-1.1.11-x86_64-2_alsa.txt
-rw-r--r-- 1 root root 179868 2019-04-03 22:13 ./extra/pure-alsa-system/fluidsynth-1.1.11-x86_64-2_alsa.txz
-rw-r--r-- 1 root root 163 2019-04-03 22:13 ./extra/pure-alsa-system/fluidsynth-1.1.11-x86_64-2_alsa.txz.asc
@@ -786,13 +786,13 @@ drwxr-xr-x 2 root root 4096 2012-09-20 18:06 ./patches
-rw-r--r-- 1 root root 575 2012-09-20 18:06 ./patches/FILE_LIST
-rw-r--r-- 1 root root 14 2012-09-20 18:06 ./patches/MANIFEST.bz2
-rw-r--r-- 1 root root 224 2012-09-20 18:06 ./patches/PACKAGES.TXT
-drwxr-xr-x 18 root root 4096 2019-08-05 20:02 ./slackware64
--rw-r--r-- 1 root root 291003 2019-08-05 20:02 ./slackware64/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-08-05 20:02 ./slackware64/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 362468 2019-08-05 19:59 ./slackware64/FILE_LIST
--rw-r--r-- 1 root root 3698269 2019-08-05 20:00 ./slackware64/MANIFEST.bz2
+drwxr-xr-x 18 root root 4096 2019-08-06 20:07 ./slackware64
+-rw-r--r-- 1 root root 290991 2019-08-06 20:07 ./slackware64/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-06 20:07 ./slackware64/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 362456 2019-08-06 20:04 ./slackware64/FILE_LIST
+-rw-r--r-- 1 root root 3691772 2019-08-06 20:05 ./slackware64/MANIFEST.bz2
lrwxrwxrwx 1 root root 15 2009-08-23 23:34 ./slackware64/PACKAGES.TXT -> ../PACKAGES.TXT
-drwxr-xr-x 2 root root 28672 2019-08-05 19:59 ./slackware64/a
+drwxr-xr-x 2 root root 28672 2019-08-06 20:04 ./slackware64/a
-rw-r--r-- 1 root root 327 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txt
-rw-r--r-- 1 root root 10820 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txz
-rw-r--r-- 1 root root 163 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txz.asc
@@ -995,9 +995,9 @@ drwxr-xr-x 2 root root 28672 2019-08-05 19:59 ./slackware64/a
-rw-r--r-- 1 root root 163 2019-01-11 20:05 ./slackware64/a/lzlib-1.11-x86_64-1.txz.asc
-rw-r--r-- 1 root root 9109 2019-08-05 06:57 ./slackware64/a/maketag
-rw-r--r-- 1 root root 9109 2019-08-05 06:57 ./slackware64/a/maketag.ez
--rw-r--r-- 1 root root 591 2019-02-06 20:14 ./slackware64/a/mcelog-162-x86_64-1.txt
--rw-r--r-- 1 root root 339704 2019-02-06 20:14 ./slackware64/a/mcelog-162-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-02-06 20:14 ./slackware64/a/mcelog-162-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 591 2019-08-06 18:05 ./slackware64/a/mcelog-164-x86_64-1.txt
+-rw-r--r-- 1 root root 339460 2019-08-06 18:05 ./slackware64/a/mcelog-164-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-06 18:05 ./slackware64/a/mcelog-164-x86_64-1.txz.asc
-rw-r--r-- 1 root root 470 2018-11-08 00:32 ./slackware64/a/mdadm-4.1-x86_64-1.txt
-rw-r--r-- 1 root root 350084 2018-11-08 00:32 ./slackware64/a/mdadm-4.1-x86_64-1.txz
-rw-r--r-- 1 root root 163 2018-11-08 00:32 ./slackware64/a/mdadm-4.1-x86_64-1.txz.asc
@@ -1028,9 +1028,9 @@ drwxr-xr-x 2 root root 28672 2019-08-05 19:59 ./slackware64/a
-rw-r--r-- 1 root root 654 2018-05-08 19:10 ./slackware64/a/openssl10-solibs-1.0.2o-x86_64-1.txt
-rw-r--r-- 1 root root 1090260 2018-05-08 19:10 ./slackware64/a/openssl10-solibs-1.0.2o-x86_64-1.txz
-rw-r--r-- 1 root root 163 2018-05-08 19:10 ./slackware64/a/openssl10-solibs-1.0.2o-x86_64-1.txz.asc
--rw-r--r-- 1 root root 417 2019-08-04 18:30 ./slackware64/a/os-prober-1.77-x86_64-2.txt
--rw-r--r-- 1 root root 16800 2019-08-04 18:30 ./slackware64/a/os-prober-1.77-x86_64-2.txz
--rw-r--r-- 1 root root 163 2019-08-04 18:30 ./slackware64/a/os-prober-1.77-x86_64-2.txz.asc
+-rw-r--r-- 1 root root 417 2019-08-06 04:40 ./slackware64/a/os-prober-1.77-x86_64-3.txt
+-rw-r--r-- 1 root root 16832 2019-08-06 04:40 ./slackware64/a/os-prober-1.77-x86_64-3.txz
+-rw-r--r-- 1 root root 163 2019-08-06 04:40 ./slackware64/a/os-prober-1.77-x86_64-3.txz.asc
-rw-r--r-- 1 root root 563 2018-04-13 13:11 ./slackware64/a/patch-2.7.6-x86_64-3.txt
-rw-r--r-- 1 root root 117972 2018-04-13 13:11 ./slackware64/a/patch-2.7.6-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-13 13:11 ./slackware64/a/patch-2.7.6-x86_64-3.txz.asc
@@ -2457,7 +2457,7 @@ drwxr-xr-x 2 root root 20480 2016-03-10 03:11 ./slackware64/kdei
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag.ez
-rw-r--r-- 1 root root 1500 2018-03-01 07:54 ./slackware64/kdei/tagfile
-drwxr-xr-x 2 root root 69632 2019-08-05 19:59 ./slackware64/l
+drwxr-xr-x 2 root root 69632 2019-08-06 20:04 ./slackware64/l
-rw-r--r-- 1 root root 338 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txt
-rw-r--r-- 1 root root 149752 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txz
-rw-r--r-- 1 root root 163 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txz.asc
@@ -2623,9 +2623,9 @@ drwxr-xr-x 2 root root 69632 2019-08-05 19:59 ./slackware64/l
-rw-r--r-- 1 root root 301 2019-06-20 17:37 ./slackware64/l/expat-2.2.7-x86_64-1.txt
-rw-r--r-- 1 root root 110540 2019-06-20 17:37 ./slackware64/l/expat-2.2.7-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-06-20 17:37 ./slackware64/l/expat-2.2.7-x86_64-1.txz.asc
--rw-r--r-- 1 root root 490 2019-07-17 18:51 ./slackware64/l/ffmpeg-4.1.4-x86_64-1.txt
--rw-r--r-- 1 root root 8859668 2019-07-17 18:51 ./slackware64/l/ffmpeg-4.1.4-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-07-17 18:51 ./slackware64/l/ffmpeg-4.1.4-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 490 2019-08-06 17:59 ./slackware64/l/ffmpeg-4.2-x86_64-1.txt
+-rw-r--r-- 1 root root 9111600 2019-08-06 17:59 ./slackware64/l/ffmpeg-4.2-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-06 17:59 ./slackware64/l/ffmpeg-4.2-x86_64-1.txz.asc
-rw-r--r-- 1 root root 502 2018-05-29 17:16 ./slackware64/l/fftw-3.3.8-x86_64-1.txt
-rw-r--r-- 1 root root 2374340 2018-05-29 17:16 ./slackware64/l/fftw-3.3.8-x86_64-1.txz
-rw-r--r-- 1 root root 163 2018-05-29 17:16 ./slackware64/l/fftw-3.3.8-x86_64-1.txz.asc
@@ -3423,7 +3423,7 @@ drwxr-xr-x 2 root root 69632 2019-08-05 19:59 ./slackware64/l
-rw-r--r-- 1 root root 463 2019-07-26 04:38 ./slackware64/l/zstd-1.4.2-x86_64-1.txt
-rw-r--r-- 1 root root 401304 2019-07-26 04:38 ./slackware64/l/zstd-1.4.2-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-07-26 04:38 ./slackware64/l/zstd-1.4.2-x86_64-1.txz.asc
-drwxr-xr-x 2 root root 36864 2019-08-05 19:59 ./slackware64/n
+drwxr-xr-x 2 root root 36864 2019-08-06 20:04 ./slackware64/n
-rw-r--r-- 1 root root 357 2019-07-05 18:51 ./slackware64/n/ModemManager-1.10.4-x86_64-1.txt
-rw-r--r-- 1 root root 1697584 2019-07-05 18:51 ./slackware64/n/ModemManager-1.10.4-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-07-05 18:51 ./slackware64/n/ModemManager-1.10.4-x86_64-1.txz.asc
@@ -3561,9 +3561,9 @@ drwxr-xr-x 2 root root 36864 2019-08-05 19:59 ./slackware64/n
-rw-r--r-- 1 root root 331 2019-06-29 17:56 ./slackware64/n/irssi-1.2.1-x86_64-1.txt
-rw-r--r-- 1 root root 651960 2019-06-29 17:56 ./slackware64/n/irssi-1.2.1-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-06-29 17:56 ./slackware64/n/irssi-1.2.1-x86_64-1.txz.asc
--rw-r--r-- 1 root root 422 2019-02-04 20:04 ./slackware64/n/iw-5.0.1-x86_64-1.txt
--rw-r--r-- 1 root root 75404 2019-02-04 20:04 ./slackware64/n/iw-5.0.1-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-02-04 20:04 ./slackware64/n/iw-5.0.1-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 422 2019-08-06 02:42 ./slackware64/n/iw-5.3-x86_64-1.txt
+-rw-r--r-- 1 root root 80980 2019-08-06 02:42 ./slackware64/n/iw-5.3-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-06 02:42 ./slackware64/n/iw-5.3-x86_64-1.txz.asc
-rw-r--r-- 1 root root 546 2019-04-03 21:31 ./slackware64/n/lftp-4.8.4-x86_64-4.txt
-rw-r--r-- 1 root root 861048 2019-04-03 21:31 ./slackware64/n/lftp-4.8.4-x86_64-4.txz
-rw-r--r-- 1 root root 163 2019-04-03 21:31 ./slackware64/n/lftp-4.8.4-x86_64-4.txz.asc
@@ -5007,11 +5007,11 @@ drwxr-xr-x 2 root root 4096 2019-02-17 23:51 ./slackware64/y
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag.ez
-rw-r--r-- 1 root root 14 2018-03-01 07:55 ./slackware64/y/tagfile
-drwxr-xr-x 19 root root 4096 2019-08-05 20:04 ./source
--rw-r--r-- 1 root root 469891 2019-08-05 20:04 ./source/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-08-05 20:04 ./source/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 662853 2019-08-05 20:03 ./source/FILE_LIST
--rw-r--r-- 1 root root 17312919 2019-08-05 20:03 ./source/MANIFEST.bz2
+drwxr-xr-x 19 root root 4096 2019-08-06 20:09 ./source
+-rw-r--r-- 1 root root 469883 2019-08-06 20:09 ./source/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-06 20:09 ./source/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 662845 2019-08-06 20:08 ./source/FILE_LIST
+-rw-r--r-- 1 root root 17316176 2019-08-06 20:08 ./source/MANIFEST.bz2
-rw-r--r-- 1 root root 1314 2006-10-02 04:40 ./source/README.TXT
drwxr-xr-x 111 root root 4096 2019-07-29 23:10 ./source/a
-rw-r--r-- 1 root root 1034 2019-05-04 17:56 ./source/a/FTBFSlog
@@ -5549,9 +5549,9 @@ drwxr-xr-x 2 root root 4096 2019-01-11 20:05 ./source/a/lzlib
-rw-r--r-- 1 root root 72 2019-01-10 22:52 ./source/a/lzlib/lzlib-1.11.tar.lz.sig
-rwxr-xr-x 1 root root 4588 2019-01-11 20:05 ./source/a/lzlib/lzlib.SlackBuild
-rw-r--r-- 1 root root 858 2018-02-27 06:13 ./source/a/lzlib/slack-desc
-drwxr-xr-x 2 root root 4096 2019-02-06 20:14 ./source/a/mcelog
+drwxr-xr-x 2 root root 4096 2019-08-06 18:05 ./source/a/mcelog
-rw-r--r-- 1 root root 355 2010-09-27 22:42 ./source/a/mcelog/doinst.sh.gz
--rw-r--r-- 1 root root 278197 2019-02-06 20:12 ./source/a/mcelog/mcelog-162.tar.lz
+-rw-r--r-- 1 root root 278197 2019-08-06 18:01 ./source/a/mcelog/mcelog-164.tar.lz
-rwxr-xr-x 1 root root 3210 2018-09-18 22:04 ./source/a/mcelog/mcelog.SlackBuild
-rw-r--r-- 1 root root 718 2017-06-06 01:56 ./source/a/mcelog/mcelog.init.diff.gz
-rw-r--r-- 1 root root 1045 2018-05-31 17:57 ./source/a/mcelog/slack-desc
@@ -5617,9 +5617,9 @@ drwxr-xr-x 2 root root 4096 2018-09-18 22:04 ./source/a/ntfs-3g
-rwxr-xr-x 1 root root 5597 2018-09-18 22:04 ./source/a/ntfs-3g/ntfs-3g.SlackBuild
-rw-r--r-- 1 root root 853608 2017-03-28 16:12 ./source/a/ntfs-3g/ntfs-3g_ntfsprogs-2017.3.23.tar.xz
-rw-r--r-- 1 root root 1004 2018-02-27 06:13 ./source/a/ntfs-3g/slack-desc
-drwxr-xr-x 2 root root 4096 2019-08-04 18:29 ./source/a/os-prober
--rwxr-xr-x 1 root root 4560 2019-08-04 18:30 ./source/a/os-prober/os-prober.SlackBuild
--rw-r--r-- 1 root root 594 2019-08-04 18:23 ./source/a/os-prober/os-prober.lvm2.diff.gz
+drwxr-xr-x 2 root root 4096 2019-08-06 04:39 ./source/a/os-prober
+-rwxr-xr-x 1 root root 4560 2019-08-06 04:40 ./source/a/os-prober/os-prober.SlackBuild
+-rw-r--r-- 1 root root 682 2019-08-06 04:39 ./source/a/os-prober/os-prober.lvm2.diff.gz
-rw-r--r-- 1 root root 338 2013-08-30 20:22 ./source/a/os-prober/os-prober.reiserfs.diff.gz
-rw-r--r-- 1 root root 26660 2018-12-23 19:13 ./source/a/os-prober/os-prober_1.77.tar.xz
-rw-r--r-- 1 root root 874 2018-02-27 06:13 ./source/a/os-prober/slack-desc
@@ -8384,9 +8384,9 @@ drwxr-xr-x 2 root root 4096 2019-06-20 17:37 ./source/l/expat
-rw-r--r-- 1 root root 195 2019-06-19 16:51 ./source/l/expat/expat-2.2.7.tar.xz.asc
-rwxr-xr-x 1 root root 3346 2018-09-18 22:04 ./source/l/expat/expat.SlackBuild
-rw-r--r-- 1 root root 754 2018-08-16 17:16 ./source/l/expat/slack-desc
-drwxr-xr-x 2 root root 4096 2019-07-17 18:41 ./source/l/ffmpeg
--rw-r--r-- 1 root root 8896056 2019-07-08 18:22 ./source/l/ffmpeg/ffmpeg-4.1.4.tar.xz
--rw-r--r-- 1 root root 473 2019-07-08 18:22 ./source/l/ffmpeg/ffmpeg-4.1.4.tar.xz.asc
+drwxr-xr-x 2 root root 4096 2019-08-06 17:56 ./source/l/ffmpeg
+-rw-r--r-- 1 root root 9088756 2019-08-05 21:40 ./source/l/ffmpeg/ffmpeg-4.2.tar.xz
+-rw-r--r-- 1 root root 473 2019-08-05 21:40 ./source/l/ffmpeg/ffmpeg-4.2.tar.xz.asc
-rwxr-xr-x 1 root root 10375 2019-03-29 17:19 ./source/l/ffmpeg/ffmpeg.SlackBuild
-rw-r--r-- 1 root root 944 2018-12-10 19:57 ./source/l/ffmpeg/slack-desc
drwxr-xr-x 2 root root 4096 2018-09-18 22:04 ./source/l/fftw
@@ -10190,9 +10190,9 @@ drwxr-xr-x 2 root root 4096 2019-06-29 17:55 ./source/n/irssi
-rw-r--r-- 1 root root 195 2019-06-28 19:53 ./source/n/irssi/irssi-1.2.1.tar.xz.asc
-rwxr-xr-x 1 root root 4790 2019-06-29 17:55 ./source/n/irssi/irssi.SlackBuild
-rw-r--r-- 1 root root 784 2018-02-27 06:13 ./source/n/irssi/slack-desc
-drwxr-xr-x 2 root root 4096 2019-02-04 20:04 ./source/n/iw
--rw-r--r-- 1 root root 566 2019-02-04 13:40 ./source/n/iw/iw-5.0.1.tar.sign
--rw-r--r-- 1 root root 132664 2019-02-04 13:40 ./source/n/iw/iw-5.0.1.tar.xz
+drwxr-xr-x 2 root root 4096 2019-08-06 02:41 ./source/n/iw
+-rw-r--r-- 1 root root 566 2019-08-05 20:37 ./source/n/iw/iw-5.3.tar.sign
+-rw-r--r-- 1 root root 136912 2019-08-05 20:37 ./source/n/iw/iw-5.3.tar.xz
-rwxr-xr-x 1 root root 3643 2019-02-02 03:30 ./source/n/iw/iw.SlackBuild
-rw-r--r-- 1 root root 47 2019-02-02 03:29 ./source/n/iw/iw.url
-rw-r--r-- 1 root root 876 2018-02-27 06:13 ./source/n/iw/slack-desc
@@ -12421,7 +12421,7 @@ drwxr-xr-x 2 root root 4096 2019-04-03 20:41 ./source/xap/gnuchess
-rw-r--r-- 1 root root 221 2013-03-20 01:49 ./source/xap/gnuchess/eboard.ldl.diff.gz
-rw-r--r-- 1 root root 336 2015-03-23 16:11 ./source/xap/gnuchess/eboard.png16.diff.gz
-rw-r--r-- 1 root root 518760 2017-07-24 23:16 ./source/xap/gnuchess/gnuchess-6.2.5.tar.xz
--rwxr-xr-x 1 root root 6366 2019-04-03 20:41 ./source/xap/gnuchess/gnuchess.SlackBuild
+-rwxr-xr-x 1 root root 6366 2019-04-03 20:41 ./source/xap/gnuchess/gnuchess.SlackBuild
-rw-r--r-- 1 root root 792 2018-02-27 06:13 ./source/xap/gnuchess/slack-desc
-rw-r--r-- 1 root root 2731760 2016-08-01 03:55 ./source/xap/gnuchess/xboard-4.9.1.tar.xz
-rw-r--r-- 1 root root 269 2015-03-20 18:35 ./source/xap/gnuchess/xboard.conf.diff.gz
@@ -12900,17 +12900,32 @@ drwxr-xr-x 2 root root 4096 2019-02-17 22:03 ./source/y/bsd-games/patches
-rw-r--r-- 1 root root 313 2019-02-17 22:07 ./source/y/bsd-games/patches/bsd-games.fortunepath.diff.gz
-rw-r--r-- 1 root root 1960 2006-09-09 00:47 ./source/y/bsd-games/patches/bsd-games.pom.diff.gz
-rw-r--r-- 1 root root 1065 2019-02-17 22:28 ./source/y/bsd-games/slack-desc
-drwxr-xr-x 4 root root 4096 2019-07-10 20:40 ./testing
--rw-r--r-- 1 root root 1219 2019-07-10 20:40 ./testing/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-07-10 20:40 ./testing/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 1549 2019-07-10 20:39 ./testing/FILE_LIST
--rw-r--r-- 1 root root 8198 2019-07-10 20:39 ./testing/MANIFEST.bz2
--rw-r--r-- 1 root root 841 2019-07-10 20:39 ./testing/PACKAGES.TXT
-drwxr-xr-x 2 root root 4096 2019-07-10 20:39 ./testing/packages
+drwxr-xr-x 4 root root 4096 2019-08-06 20:09 ./testing
+-rw-r--r-- 1 root root 2172 2019-08-06 20:09 ./testing/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-06 20:09 ./testing/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 2919 2019-08-06 20:09 ./testing/FILE_LIST
+-rw-r--r-- 1 root root 30027 2019-08-06 20:09 ./testing/MANIFEST.bz2
+-rw-r--r-- 1 root root 1611 2019-08-06 20:09 ./testing/PACKAGES.TXT
+drwxr-xr-x 2 root root 4096 2019-08-06 20:09 ./testing/packages
+-rw-r--r-- 1 root root 602 2019-08-06 18:37 ./testing/packages/NetworkManager-1.20.0-x86_64-1.txt
+-rw-r--r-- 1 root root 3710996 2019-08-06 18:37 ./testing/packages/NetworkManager-1.20.0-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-06 18:37 ./testing/packages/NetworkManager-1.20.0-x86_64-1.txz.asc
-rw-r--r-- 1 root root 434 2019-07-10 06:03 ./testing/packages/blueman-2.1.1-x86_64-1.txt
-rw-r--r-- 1 root root 832340 2019-07-10 06:03 ./testing/packages/blueman-2.1.1-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-07-10 06:03 ./testing/packages/blueman-2.1.1-x86_64-1.txz.asc
-drwxr-xr-x 3 root root 4096 2019-07-03 18:21 ./testing/source
+drwxr-xr-x 4 root root 4096 2019-08-06 18:16 ./testing/source
+drwxr-xr-x 4 root root 4096 2019-08-06 18:16 ./testing/source/NetworkManager
+-rw-r--r-- 1 root root 938 2016-03-22 18:59 ./testing/source/NetworkManager/55NetworkManager
+-rw-r--r-- 1 root root 4633592 2019-08-06 12:35 ./testing/source/NetworkManager/NetworkManager-1.20.0.tar.xz
+-rwxr-xr-x 1 root root 6931 2019-08-06 18:20 ./testing/source/NetworkManager/NetworkManager.SlackBuild
+-rw-r--r-- 1 root root 139 2016-04-22 03:58 ./testing/source/NetworkManager/NetworkManager.conf
+drwxr-xr-x 2 root root 4096 2016-03-25 04:54 ./testing/source/NetworkManager/conf.d
+-rw-r--r-- 1 root root 323 2019-08-06 18:25 ./testing/source/NetworkManager/conf.d/00-dhcp-client.conf
+-rw-r--r-- 1 root root 23 2016-03-24 19:11 ./testing/source/NetworkManager/conf.d/00-rc-manager.conf
+-rw-r--r-- 1 root root 568 2016-03-25 04:35 ./testing/source/NetworkManager/doinst.sh.gz
+drwxr-xr-x 2 root root 4096 2019-07-25 16:58 ./testing/source/NetworkManager/patches
+-rw-r--r-- 1 root root 2674 2017-05-25 19:37 ./testing/source/NetworkManager/rc.networkmanager
+-rw-r--r-- 1 root root 1064 2018-02-27 06:13 ./testing/source/NetworkManager/slack-desc
drwxr-xr-x 2 root root 4096 2019-07-10 06:02 ./testing/source/blueman
-rw-r--r-- 1 root root 290 2018-08-04 01:09 ./testing/source/blueman/30-blueman-netdev-allow-access.rules.gz
-rw-r--r-- 1 root root 950296 2019-07-08 05:49 ./testing/source/blueman/blueman-2.1.1.tar.xz
diff --git a/recompress.sh b/recompress.sh
index bc295a74..cfa72e90 100755
--- a/recompress.sh
+++ b/recompress.sh
@@ -1200,6 +1200,7 @@ gzip ./source/x/xcm/xcm.udev.rules.diff
gzip ./testing/source/blueman/dont-autostart-applet-in-kde.diff
gzip ./testing/source/blueman/30-blueman-netdev-allow-access.rules
gzip ./testing/source/blueman/doinst.sh
+gzip ./testing/source/NetworkManager/doinst.sh
gzip ./pasture/source/php/php-fpm.conf.diff
gzip ./pasture/source/php/doinst.sh
gzip ./pasture/source/php/PHP-5.6.31-OpenSSL-1.1.0-compatibility-20170801.patch
diff --git a/source/a/os-prober/os-prober.SlackBuild b/source/a/os-prober/os-prober.SlackBuild
index 1098ac6b..0c46c577 100755
--- a/source/a/os-prober/os-prober.SlackBuild
+++ b/source/a/os-prober/os-prober.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=os-prober
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/os-prober/os-prober.lvm2.diff b/source/a/os-prober/os-prober.lvm2.diff
index 91f52725..a3fbf2c3 100644
--- a/source/a/os-prober/os-prober.lvm2.diff
+++ b/source/a/os-prober/os-prober.lvm2.diff
@@ -1,7 +1,18 @@
-diff -ru os-prober-1.77/common.sh os-prober-1.77.new/common.sh
---- os-prober-1.77/common.sh 2018-08-10 21:23:18.000000000 +0200
-+++ os-prober-1.77.new/common.sh 2019-08-03 23:37:48.466380378 +0200
-@@ -176,6 +176,15 @@
+diff -u -r --new-file os-prober-1.77.orig/common.sh os-prober-1.77/common.sh
+--- os-prober-1.77.orig/common.sh 2018-08-10 14:23:18.000000000 -0500
++++ os-prober-1.77/common.sh 2019-08-05 23:39:13.130356299 -0500
+@@ -4,6 +4,10 @@
+
+ cleanup_tmpdir=false
+ cleanup () {
++ local partition
++ for partition in $cleanup_ro_partitions; do
++ blockdev --setrw "$partition"
++ done
+ if $cleanup_tmpdir; then
+ rm -rf "$OS_PROBER_TMP"
+ fi
+@@ -176,6 +180,15 @@
sed 's/\\011/ /g; s/\\012/\n/g; s/\\040/ /g; s/\\134/\\/g'
}
@@ -17,9 +28,9 @@ diff -ru os-prober-1.77/common.sh os-prober-1.77.new/common.sh
find_label () {
local output
if type blkid >/dev/null 2>&1; then
-diff -ru os-prober-1.77/os-probes/common/50mounted-tests os-prober-1.77.new/os-probes/common/50mounted-tests
---- os-prober-1.77/os-probes/common/50mounted-tests 2018-08-10 21:23:18.000000000 +0200
-+++ os-prober-1.77.new/os-probes/common/50mounted-tests 2019-08-03 23:37:48.465380372 +0200
+diff -u -r --new-file os-prober-1.77.orig/os-probes/common/50mounted-tests os-prober-1.77/os-probes/common/50mounted-tests
+--- os-prober-1.77.orig/os-probes/common/50mounted-tests 2018-08-10 14:23:18.000000000 -0500
++++ os-prober-1.77/os-probes/common/50mounted-tests 2019-08-05 23:37:24.763351672 -0500
@@ -69,6 +69,15 @@
debug "mounted using GRUB, but unknown filesystem?"
type=fuseblk
diff --git a/testing/source/NetworkManager/55NetworkManager b/testing/source/NetworkManager/55NetworkManager
new file mode 100644
index 00000000..d7b3ee6a
--- /dev/null
+++ b/testing/source/NetworkManager/55NetworkManager
@@ -0,0 +1,39 @@
+#!/bin/sh
+# If we are running NetworkManager, tell it we are going to sleep.
+
+. "${PM_FUNCTIONS}"
+
+suspend_nm()
+{
+ # Tell NetworkManager to shut down networking
+ printf "Having NetworkManager put all interaces to sleep..."
+ dbus_send --system --print-reply \
+ --dest=org.freedesktop.NetworkManager \
+ /org/freedesktop/NetworkManager \
+ org.freedesktop.NetworkManager.Sleep \
+ boolean:true && \
+ echo Done. || echo Failed.
+}
+
+resume_nm()
+{
+ # Wake up NetworkManager and make it do a new connection
+ printf "Having NetworkManager wake interfaces back up..."
+ dbus_send --system --print-reply \
+ --dest=org.freedesktop.NetworkManager \
+ /org/freedesktop/NetworkManager \
+ org.freedesktop.NetworkManager.Sleep \
+ boolean:false && \
+ echo Done. || echo Failed.
+}
+
+case "$1" in
+ hibernate|suspend)
+ suspend_nm
+ ;;
+ thaw|resume)
+ resume_nm
+ ;;
+ *) exit $NA
+ ;;
+esac
diff --git a/testing/source/NetworkManager/NetworkManager.SlackBuild b/testing/source/NetworkManager/NetworkManager.SlackBuild
new file mode 100755
index 00000000..b92ec2b9
--- /dev/null
+++ b/testing/source/NetworkManager/NetworkManager.SlackBuild
@@ -0,0 +1,201 @@
+#!/bin/bash
+
+# Copyright 2010, 2011, 2014, 2016 Robby Workman, Northport, Alabama, USA
+# Copyright 2013, 2014, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2011, 2012 by Eric Hameleers, Eindhoven, NL
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=NetworkManager
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Find the version number for pppd, used to specify the plugin directory:
+PPPD=$(echo /usr/lib${LIBDIRSUFFIX}/pppd/?.?.? | rev | cut -f 1 -d / | rev)
+
+# Apply bugfix patches from upstream git:
+for dfile in $CWD/patches/* ; do
+ zcat $dfile | patch -p1 --verbose || exit 1
+done
+
+# For git-patched builds
+autoreconf -vif
+automake
+./autogen.sh
+
+# Configuring --enable-json-validation --enable-ovs requires the Jansson
+# json-c library. If there's any interest or usefulness with that, let me
+# know. The library is fairly small, but in order to actually use team
+# interfaces will probably require more stuff (not sure how much).
+#
+# Update September 2018: Added those options since we needed Jansson
+# already for HTTP/2 support.
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-udev-dir=/lib/udev \
+ --with-pppd-plugin-dir=/usr/lib${LIBDIRSUFFIX}/pppd/$PPPD \
+ --with-crypto=nss \
+ --enable-more-warnings=no \
+ --without-resolvconf \
+ --with-dhcpcd=/sbin/dhcpcd \
+ --with-dhclient=yes \
+ --with-modem-manager-1=yes \
+ --with-nmtui=yes \
+ --enable-json-validation \
+ --enable-ovs \
+ --with-session-tracking=consolekit \
+ --with-suspend-resume=consolekit \
+ --with-hostname-persist=slackware \
+ --build=$TARGET || exit 1
+
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Fix hardlinked manpages:
+( cd $PKG/usr/man/man1
+ ln -sf nmtui.1 nmtui-connect.1
+ ln -sf nmtui.1 nmtui-edit.1
+ ln -sf nmtui.1 nmtui-hostname.1
+)
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# In case NetworkManager tries to install something here:
+rm -f $PKG/etc/rc.d/rc.networkmanager
+
+# Don't clobber existing rc.networkmanager
+# Don't run NetworkManager by default just because it got installed.
+# Instead, the init script will have to be made executable first.
+# This should avoid nasty surprises on potentially remotely located machines.
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.networkmanager > $PKG/etc/rc.d/rc.networkmanager.new
+chmod 0644 $PKG/etc/rc.d/rc.networkmanager.new
+
+# Add the pm-utils hook back in
+# xfce4-power-manager needs to be built *without* NM support
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pm-utils/sleep.d/
+cat $CWD/55NetworkManager > $PKG/usr/lib${LIBDIRSUFFIX}/pm-utils/sleep.d/55NetworkManager
+chmod 0755 $PKG/usr/lib${LIBDIRSUFFIX}/pm-utils/sleep.d/55NetworkManager
+
+# Add default (plain) config file to enable keyfile plugin
+cat $CWD/NetworkManager.conf > $PKG/etc/NetworkManager/NetworkManager.conf.new
+
+# Set dhcp client to "dhcpcd" and rc-manager to "file" by default
+mkdir -p $PKG/etc/NetworkManager/conf.d
+cat $CWD/conf.d/00-dhcp-client.conf > $PKG/etc/NetworkManager/conf.d/00-dhcp-client.conf.new
+cat $CWD/conf.d/00-rc-manager.conf > $PKG/etc/NetworkManager/conf.d/00-rc-manager.conf.new
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS CONTRIBUTING COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ cat ChangeLog | head -n 1000 > $PKG/usr/doc/$PKGNAM-$VERSION/ChangeLog
+ touch -r ChangeLog $PKG/usr/doc/$PKGNAM-$VERSION/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg --prepend -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/testing/source/NetworkManager/NetworkManager.conf b/testing/source/NetworkManager/NetworkManager.conf
new file mode 100644
index 00000000..eb8f6ae1
--- /dev/null
+++ b/testing/source/NetworkManager/NetworkManager.conf
@@ -0,0 +1,7 @@
+# /etc/NetworkManager/NetworkManager.conf
+#
+# See additional config files (such as for DHCP settings) in ./conf.d
+
+[main]
+plugins=keyfile
+
diff --git a/testing/source/NetworkManager/conf.d/00-dhcp-client.conf b/testing/source/NetworkManager/conf.d/00-dhcp-client.conf
new file mode 100644
index 00000000..2fc42be4
--- /dev/null
+++ b/testing/source/NetworkManager/conf.d/00-dhcp-client.conf
@@ -0,0 +1,8 @@
+[main]
+# Choose a DHCP client below. Upstream recommends internal, but results may vary.
+# dhcpcd is the DHCP client usually used by Slackware:
+dhcp=dhcpcd
+# dhclient is the ISC reference DHCP client, part of the dhcp package:
+#dhcp=dhclient
+# This is a simple DHCP client that is built into NetworkManager:
+#dhcp=internal
diff --git a/testing/source/NetworkManager/conf.d/00-rc-manager.conf b/testing/source/NetworkManager/conf.d/00-rc-manager.conf
new file mode 100644
index 00000000..c848c003
--- /dev/null
+++ b/testing/source/NetworkManager/conf.d/00-rc-manager.conf
@@ -0,0 +1,2 @@
+[main]
+rc-manager=file
diff --git a/testing/source/NetworkManager/doinst.sh b/testing/source/NetworkManager/doinst.sh
new file mode 100644
index 00000000..6c88b8cf
--- /dev/null
+++ b/testing/source/NetworkManager/doinst.sh
@@ -0,0 +1,42 @@
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
+ if [ -e ${OLD} ]; then
+ cp -a ${OLD} ${NEW}.incoming
+ cat ${NEW} > ${NEW}.incoming
+ mv ${NEW}.incoming ${NEW}
+ fi
+ mv ${NEW} ${OLD}
+}
+
+if [ -e etc/HOSTNAME ]; then
+ sed -i "s,yourhostname,$(cat etc/HOSTNAME | cut -f1 -d .)," \
+ etc/NetworkManager/NetworkManager.conf.new
+fi
+
+# Preserve permissions, but move this into place. Otherwise the net
+# connection could be lost at a remote location.
+preserve_perms etc/rc.d/rc.networkmanager.new
+config etc/NetworkManager/NetworkManager.conf.new
+config etc/NetworkManager/conf.d/00-rc-manager.conf.new
+config etc/NetworkManager/conf.d/00-dhcp-client.conf.new
+
+# If the .pid file is found in the old location, move it to the new one:
+if [ -r var/run/NetworkManager.pid ]; then
+ mv var/run/NetworkManager.pid var/run/NetworkManager/NetworkManager.pid
+fi
+
diff --git a/testing/source/NetworkManager/rc.networkmanager b/testing/source/NetworkManager/rc.networkmanager
new file mode 100644
index 00000000..b6b311ed
--- /dev/null
+++ b/testing/source/NetworkManager/rc.networkmanager
@@ -0,0 +1,113 @@
+#!/bin/sh
+#
+# NetworkManager: NetworkManager daemon
+#
+# description: This is a daemon for automatically switching network \
+# connections to the best available connection. \
+#
+# processname: NetworkManager
+# pidfile: /var/run/NetworkManager/NetworkManager.pid
+#
+
+prefix=/usr
+exec_prefix=/usr
+sbindir=${exec_prefix}/sbin
+
+NETWORKMANAGER_BIN=${sbindir}/NetworkManager
+
+# Sanity checks.
+[ -x $NETWORKMANAGER_BIN ] || exit 0
+
+PIDFILE=/var/run/NetworkManager/NetworkManager.pid
+
+nm_start()
+{
+ if [ "`pgrep dbus-daemon`" = "" ]; then
+ echo "D-BUS must be running to start NetworkManager"
+ return
+ fi
+
+ # Just in case the pidfile is still there, we may need to nuke it.
+ if [ -e "$PIDFILE" ]; then
+ rm -f $PIDFILE
+ fi
+
+ echo "Starting NetworkManager daemon: $NETWORKMANAGER_BIN"
+ XDG_CACHE_HOME=/root/.cache $NETWORKMANAGER_BIN
+}
+
+nm_status()
+{
+ local pidlist=`cat $PIDFILE 2>/dev/null`
+ if [ -z "$pidlist" ]; then
+ return 1
+ fi
+ local command=`ps -p $pidlist -o comm=`
+ if [ "$command" != 'NetworkManager' ]; then
+ return 1
+ fi
+}
+
+nm_stop()
+{
+ echo -en "Stopping NetworkManager: "
+ # Shut down any DHCP connections, otherwise the processes will be orphaned
+ # and the connections will not come up when NetworkManager restarts.
+ if ps ax | grep /sbin/dhcpcd | grep -q libexec/nm-dhcp ; then
+ ps ax | grep /sbin/dhcpcd | grep libexec/nm-dhcp | while read line ; do
+ kill -HUP $(echo $line | cut -b 1-5)
+ done
+ fi
+ if ps ax | grep /sbin/dhclient | grep -q /var/lib/NetworkManager ; then
+ ps ax | grep /sbin/dhclient | grep /var/lib/NetworkManager | while read line ; do
+ kill -HUP $(echo $line | cut -b 1-5)
+ done
+ fi
+ local pidlist=`cat $PIDFILE 2>/dev/null`
+ if [ ! -z "$pidlist" ]; then
+ kill $pidlist &>/dev/null
+ sleep 3
+ rm -f $PIDFILE &>/dev/null
+ fi
+ # If wpa_supplicant is running here, it needs to be shut down as well.
+ # Since you're asking for NetworkManager to shut down, we have to assume
+ # that wpa_supplicant was started by it.
+ if [ -r /var/run/wpa_supplicant.pid ]; then
+ kill $(cat /var/run/wpa_supplicant.pid)
+ elif [ -r /run/wpa_supplicant.pid ]; then
+ kill $(cat /run/wpa_supplicant.pid)
+ fi
+ echo "stopped";
+ sleep 3
+}
+
+nm_restart()
+{
+ nm_stop
+ nm_start
+}
+
+case "$1" in
+'start')
+ if ( ! nm_status ); then
+ nm_start
+ else
+ echo "NetworkManager is already running (will not start it twice)."
+ fi
+ ;;
+'stop')
+ nm_stop
+ ;;
+'restart')
+ nm_restart
+ ;;
+'status')
+ if ( nm_status ); then
+ echo "NetworkManager is currently running"
+ else
+ echo "NetworkManager is not running."
+ fi
+ ;;
+*)
+ echo "usage $0 start|stop|status|restart"
+esac
diff --git a/testing/source/NetworkManager/slack-desc b/testing/source/NetworkManager/slack-desc
new file mode 100644
index 00000000..31e34d44
--- /dev/null
+++ b/testing/source/NetworkManager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+NetworkManager: NetworkManager (Networking that Just Works)
+NetworkManager:
+NetworkManager: The point of NetworkManager is to make networking configuration and
+NetworkManager: setup as painless and automatic as possible. NetworkManager sets IP
+NetworkManager: addresses, default routes, associating with wireless access points
+NetworkManager: or wired LANs, and other network configuration settings in a simple,
+NetworkManager: automated fashion (manual overrides are still possible).
+NetworkManager:
+NetworkManager: Home page: http://projects.gnome.org/NetworkManager/
+NetworkManager:
+NetworkManager: